<?php

//-----Создаем титл страницы-----//
$title = 'Настройки бота';
//-----Подключаем функции-----//
require_once ('../system/function.php');
//-----Подключаем вверх-----//
require_once ('../system/header.php');
//-----Переадресовуем не авторизированного и без левела-----//
if(!$user['id'] or $user['level'] > 4) {
header('Location: '.$HOME.'');
exit();
}
switch($_GET['act']) {
default:
echo '<div class="title">'.$title.'</div>';

$troll = mysql_fetch_assoc(mysql_query("SELECT * FROM `troller`"));
$forum = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_tema` WHERE `id` = '".$troll['tema_id']."' "));

if(isset($_REQUEST['submit'])) {
$tema = strong($_POST['tema']);
$us = strong($_POST['us']);
$forum = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_tema` WHERE `id` = '".$tema."' "));
$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$us."'"));

if($ank == 0) {
echo '<div class="podmenu"><center><b>Такого пользователя не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}
if($forum == 0) {
echo '<div class="podmenu"><center><b>Такой темы не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

mysql_query("INSERT INTO `troller` SET `tema_id` = '".$tema."', `us` = '".$us."'");
mysql_query("INSERT INTO `forum_post` SET `kat` = '".$forum['kat']."',`text` = 'Я родился',`us` = '".$troll['us']."',`time` = '".time()."',`tema` = '".$forum['id']."',`razdel` = '".$forum['razdel']."'");

echo '<div class="podmenu">Сохранено, бот запущен в тему</div>';
echo '<div class="anketa"><a href="'.$HOME.'/panel/">В админку</a></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="podmenu"><form action="" method="POST">
id темы в которой будет сидеть бот:<br/> <input type="text" name="tema" value="'.$troll['tema_id'].'"/> <br />
id юзера:<br/> <input type="text" name="us" value="'.$troll['us'].'"/> <br />
<input type="submit" name="submit" value="Запуск" />
</form></div>';

echo '<div class="anketa"><a href="'.$HOME.'/panel/troller.php?act=text">Добавить фразы</a></div>';

break;

case 'text':
if(isset($_REQUEST['submit'])) {
$text = strong($_POST['text']);


mysql_query("INSERT INTO `text_troller` SET `text` = '".$text."'");

echo '<div class="podmenu">Фраза добавлена</div>';
echo '<div class="anketa"><a href="'.$HOME.'/panel/troller.php?act=text">Назад</a></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="podmenu"><form action="" method="POST">

Фраза:<br/> <input type="text" name="text" /> <br />
<input type="submit" name="submit" value="Добавить" />
</form></div>';
break;

}


//-----Подключаем низ-----//
require_once ('../system/footer.php');
?>